<?php defined('SYSPATH') or die('No direct access allowed.');

class Controller_Debug extends Controller_TemplateDefault {
	public function before() {
		if (! in_array(Config::sitemode(),array(Kohana::DEVELOPMENT,Kohana::TESTING)))
			$this->request->redirect();

		parent::before();
	}

	public function action_site() {
		$output = '';

		$output .= debug::vars(array(
			'm'=>__METHOD__,
			'site'=>Config::site(),
			'siteID'=>Config::siteid(),
			'siteMode'=>Config::sitemodeverbose(),
			'modules'=>Config::appmodules(),
		));

		Block::add(array(
			'title'=>_('Site debug'),
			'body'=>$output,
		));
	}
}
?>
